### Method

# Camel NetworkService get_service_name

since: 3.2

#### Declaration [src]

    const gchar*
    camel_network_service_get_service_name (
      CamelNetworkService* service,
      CamelNetworkSecurityMethod method
    )

#### Description [src]

Returns the standard network service name for `service` and the security method `method`, as defined in /etc/services. For example, the service name for unencrypted IMAP or encrypted IMAP using STARTTLS is “imap”, but the service name for IMAP over SSL is “imaps”.

Available since: 3.2

#### Parameters

`method`

  Type: `CamelNetworkSecurityMethod`

  A `CamelNetworkSecurityMethod`.

#### Return value

Type: `const gchar*`

The network service name for `service` and `method`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.